## When to Use AI

Right, let’s talk about AI. It’s the buzzword of the moment, but when is it actually useful? I’ve been asked this question a lot recently, so here are two scenarios where AI isn’t the silver bullet everyone thinks it is—and where it could genuinely save some time.

### 1. **Contextual Mapping in Workload Analysis**
I was building a spreadsheet to analyze workload drivers and potential savings. The dataset included thousands of work orders with categories like "work types" and durations. Merging these required manually mapping each work type to a category. This is where generative AI excelled—it interpreted text relationships, something regex or string manipulation couldn’t handle. LLMs are perfect for understanding context and nuance.

### 2. **Precision in Calculations**
For calculating workload drivers and formulas, precision was key. These required sound math and logic, not interpretation. Trusting an LLM here felt risky—AI might introduce unexpected variables (like changing π to a non-numeric value). Traditional methods ensure accuracy without existential crises.

**Key Takeaways:**
- **Use AI** for interpreting text and relationships.
- **Stick to traditional methods** for precise calculations.
- **Never fully trust AI**; always verify output.

---

**What do you think? Let me know in the comments below!**  
<|end_of_thought|>